

.container {
    max-width: 600px;
    margin: 50px auto;
    padding: 20px;
    background-color: #1F2937;
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

h3 {
    font-size: 24px;
    color: #fff;
    margin-bottom: 20px;
}

p {
    font-size: 18px;
    color: #fff;
}
 #payment-status {
        font-weight: bold;
        text-transform: uppercase;
    }
.qrcode-container {
    text-align: center;
    margin-top: 20px;
}

.centered-qrcode {
    width: 300px;
    border: 2px solid #ccc;
    border-radius: 10px;
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.1);
}

.centered-content {
    text-align: center;
    margin-top: 20px;
}

textarea {
    width: 100%;
    height: 100px;
    margin-bottom: 10px;
    padding: 10px;
    border: 1px solid #374151;
    border-radius: 5px;
    resize: none;
    background-color: #111827;
    color: white;
}
textarea:focus {
    border-color: #9333ea;
    border-width: 2px;
    outline: none; /* Remova a borda de foco padrão */
}

a {
    text-decoration: none;
    color: #007bff;
    font-weight: bold;
}

.aguardando {
    color: red;
}

.aprovado {
    color: green;
}
body {
    background-color: var(--bodyColor);
}

.wrapper {
    display: grid;
    place-items: center;
    height: 100vh;
}

.wrapper .form-container {
    background-color: var(--formColor);
    width: 46rem;
    display: flex;
    flex-direction: column;
    padding: 2rem;
    border-radius: 0.25rem;
}

.form-container .box-form {
    display: flex;
    justify-content: space-between;
}

.form-container .box-form .input-content .box-input{
    display: flex;
    flex-direction: column;
    gap: 0.5rem 0;
    margin-bottom: 0.5rem;
}

.form-container .box-form .input-content label {
    font-size: .875rem;
    color: var(--labelColor);
    font-weight: 600;
}

.form-container .box-form .input-content input {
/*  328/48*/
    background-color: var(--bodyColor);
    border: 1px solid var(--borderInputDefault);
    border-radius: 4px;
    padding: 0 1rem;
    font-size: 1rem;
    color: var(--labelColor);
    height: 2.8125rem;
}
select{
    background-color: var(--bodyColor);
    border: 1px solid var(--borderInputDefault);
    border-radius: 4px;
    padding: 0 1rem;
    font-size: 1rem;
    color: var(--labelColor);
    height: 2.8125rem;
}
.form-container .box-form .input-content .box-input input{
    width: 20.5rem;

}

.form-container .box-form .input-content input::placeholder {
    color: var(--placeholderColor);
    word-spacing: 0;
}


.form-container .box-form .input-content input:focus {
    border-color: var(--borderInputFocus);
    border-width: 2px;
}
select:focus {
    border-color: var(--borderInputFocus);
    border-width: 2px;
}

.form-container .box-form .input-content .box-input-more {
    display: flex;
    width: 20.5rem;
    gap: 0 0.5rem;
}

.form-container .box-form .input-content .box-input-more > div:nth-child(2) {
    flex: 1 1 50%;
}

.form-container .box-form .input-content .box-input-more > div input {
    width: 100%;
}

.form-container .box-form .input-content .box-input-more label {
    display: flex;
    gap: 0 0.5rem;
    margin-bottom: 0.5rem;
    align-items: center;
}

.form-container .box-form .input-content .box-input-more .info {
    margin-top: 0.5rem;
}

.form-container .box-form .input-content .info {
    display: flex;
    align-items: center;
    gap: 0 0.5rem;
    max-height: 1.125rem;
    height: 1.125rem;
    pointer-events: none;
    visibility: hidden;
}

.form-container .box-form .input-content .info.visible {
    visibility: visible;
}

.form-container .box-form .input-content .info.view {
    opacity: 1;
    pointer-events: auto;
}

.form-container .box-form .input-content .info .message {
    color: var(--statusError);
    font-size: .8125rem;

}

.form-container .box-form .card-content {
    display: flex;
    flex-direction: column;
    gap: 1rem 0;
    align-items: center;
}

.form-container .box-form .card-content .status-security {
    display: flex;
    align-items: center;
    gap: 0 0.5rem;
    color: #E5E7EB;
}

.form-container .box-form .card-content .status-security span {
    font-size: 0.875rem;

}


.form-container .box-form .box-card {

    background: url('./../assets/background-card-1.svg'), rgb(17, 24, 39);
    border-radius: 1rem;
    background-size: cover;
    box-shadow: 0 3px 24px rgba(0, 0, 0, 0.25);
    border: 1px inset #000000a6;
}

.form-container .box-form .box-card:nth-child(2){
    background: url('./../assets/background-card-2.svg'), rgb(17, 24, 39);
}

.form-container .box-form .box-card .bar {
    height: 2.5rem;
    background-color: var(--bodyColor);
    margin-top: 1.25rem;
}

.form-container .box-form .card-content .rotate-card {
    width: 1.875rem;
    height: 1.875rem;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 4px;
    transition: all .3s;
}

.form-container .box-form .card-content .rotate-card:hover {
    background-color: rgba(255, 255, 255, 0.04);
    cursor: pointer;
}

.form-container .box-form .card-content .content.card-2 {
    padding: 0;
    justify-content: start;
    gap: 30px 0;
}

.form-container .box-form .card-content .content
.cvv {
    display: flex;
    align-items: center;
    justify-content: center;
    color: #fff;
    gap: .5rem;
}

.form-container .box-form .card-content .content
.cvv .cvv-number {
    height: 2.5rem;
    width: 80%;
    border-radius: 4px;
    background-color: #d1d5db;
    text-align: left;
    display: flex;
    align-items: center;
    justify-content: end;
    padding: 0 1rem;
    font-size: 1rem;
    font-weight: 600;
    color: var(--bodyColor);
}

.form-container .box-form .card-content .content {
    width: 17.5rem;
    height: 10.5rem;
    padding: 1rem;
    display: flex;
    flex-direction: column;
    border-radius: 1rem;
    justify-content: space-between;
    backdrop-filter: blur(3rem);
}

.form-container .box-form .card-content .content .card-header {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.form-container .box-form .card-content .content
.card-body .number-card {
    font-size: 1rem;
    font-weight: 600;
}

.form-container .box-form .card-content .content
.card-body .name-and-date{
    display: flex;
    justify-content: space-between;
    opacity: .5;
}

.form-container .box-form .card-content .content
.card-body {
    color: var(--nameCardColor);

}

.form-container .box-form .card-content .content
.card-body .number-card {
    margin-bottom: 1rem;
    word-spacing: 8px;
    letter-spacing: 0.25rem;
}

.form-container .box-form .card-content .content
.card-body .name {
}

.form-container .button-submit {
    height: 3.5rem;
    border-radius: 0.25rem;
    background-color: var(--buttonColor);
    color: #fff;
    font-weight: 600;
    font-size: 1.125rem;
    margin-top: 1rem;
}

.form-container .button-submit:hover {
    background-color: #A855F7;
      cursor: pointer;
}

.form-container .button-submit.disable {
    opacity: 50%;
    pointer-events: none;
}

.form-container .card-content-box {
    position: relative;
    width: 17.5rem;
    height: 10.5rem;
    transition: all .5s;
    transform-style: preserve-3d;
}

.form-container .card-content-box > div {
    position: absolute;
}

.form-container .card-content-box > div:nth-child(1) {
    transform: rotateY(180deg);
}

.form-container .card-content-box.rotate {
    transform: rotateY(180deg) ;
}

.form-container .card-content-box.rotate > div:nth-child(1) {
    backface-visibility: visible;
    z-index: 2;
}

.form-container .card-content-box.rotate > div:nth-child(2) {
    backface-visibility: hidden;
    z-index: 1;
}


@media(max-width: 745px){

    body {
        background-color: var(--formColor);
    }

    .wrapper .form-container {
        width: max-content;
    }

    .form-container .box-form {
        flex-direction: column;
        align-items: center;
        gap: 2rem 0;
    }

    .form-container .box-form .input-content {
        order: 2;
    }

    .form-container .box-form .card-content {
        order: 1;
    }

    .form-container .box-form .card-content .status-security {
        display: none;
    }
}

.red{
    color: white;
    background-color: red;
    padding: 5px;
    border-radius: 15px;
    font-size: 12px;
    text-align: center;
    max-width: 50%;
}
.green{
    color: white;
    background-color: green;
    padding: 5px;
    border-radius: 15px;
    font-size: 12px;
    text-align: center;
    max-width: 50%;
}